/* Reset */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/* Google Fonts */

@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');

/* Variables */
:root {
    --banner-height: auto;
    --navbar-height: 2rem;
    --scroll-height: 3rem;

    --color0: hsl(240, 80%, 0%);
    --color10: hsl(240, 80%, 10%);
    --color30: hsl(240, 80%, 30%);
    --color35: hsl(240, 80%, 35%);
    --color40: hsl(240, 80%, 40%);
    --color50: hsl(200, 80%, 50%);
    --color80: hsl(200, 80%, 80%);
    --color90: hsl(200, 80%, 90%);
    --color100: hsl(200, 80%, 100%);
    --accent: hsl(200, 80%, 70%);
    --gold: hsl(51, 80%, 50%);
    --blue: hsl(240, 80%, 50%);
    --color_diff: hsl(40, 80%, 50%);

    --z-tooltip: 10;
    --z-fixed: 100;
    --z-gt: 999;

    --ff: "Montserrat", sans-serif;
    --ff2: "Fira Sans", serif;
    --ff3: "Khmer OS Battambang";
    --ff4: "Khmer OS Muol Light";

    --sp: 1rem/1.5em var(--ff3);
    --p: 1.125rem/1.5em var(--ff3);
    --pb: 1.25rem/1.5em var(--ff3);
    --psb: 1.125rem/1.5em var(--ff3);
    --h1: 400 3rem/1.2em var(--ff4);
    --h2: 600 2rem/1.2em var(--ff3);
    --h3: 600 1.5rem/1.2em var(--ff3);
    --h4: 600 1.25rem/1.2em var(--ff3);


    --font-regular: 400;
    --font-semi-bold: 600;

    --spacing1: 4px;
    --spacing2: 8px;
    --spacing3: 16px;
    --spacing4: 20px;
    --spacing5: 40px;
    --spacing6: 80px;
    --spacing7: 160px;
}

/* Global Styles */
html {
    scroll-behavior: smooth;
}
body {
    text-wrap: balance;
    font: var(--p);
    background: var(--color90);
    color: var(--color0);
}

html, body, * {
  font-family: 'Khmer OS Battambang' !important;
}

ul {
    list-style: none;
    padding: 0;
}

a {
    color: var(--color0);
    text-decoration: none;
}

h1 {
    font: var(--h1);
}
h2 {
    font: var(--h2);
    margin: var(--spacing2) 0;
}
h3 {
    font: var(--h3);
    margin: var(--spacing1) 0;
}
p {
    font-family: var(--p);
    margin: var(--spacing1) 0;
}

img {
    width: 100%;
}


/* Utility Classes */
section {
    width: 90%;
    max-width: 1080px;
    margin: 0 auto;
}
.center {
    text-align: center;
}
.hidden {
    display: none;
}

.flex {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: var(--spacing4);
    flex-wrap: wrap;
}
.flex > * {
    flex: 1;
    min-width: 340px;
}
.reverse {
    flex-direction: row-reverse;
    overflow-x: auto;
}
.text_bold {
    font-weight: var(--font-semi-bold);
}
.justify {
    text-align: justify;
}

.border_one {
    border: 1px solid var(--color0);
}
.border_two {
    border: 2px solid var(--color0);
}

.block_block {
    display: block;
}

.large_title {
    font: var(--h2);
    margin: var(--spacing2) 0;
    color: var(--color30);
}
.mid_title {
    font: var(--h3);
    margin: var(--spacing1) 0;
    color: var(--color35);
}
.small_title {
    font: var(--h4);
    margin: var(--spacing1) 0;
    color: var(--color40);
}

.color_text {
    color: var(--color_diff);
}

.padding1 {
    padding: var(--spacing1) auto;
}
.padding2 {
    padding: var(--spacing2) 0;
}
.padding3 {
    padding: var(--spacing3) 0;
}
.padding4 {
    padding: var(--spacing4) 0;
}
.padding5 {
    padding: var(--spacing5) 0;
}
.padding6 {
    padding: var(--spacing6) 0;
}
.padding7 {
    padding: var(--spacing7) 0;
}

.margin1 {
    margin: var(--spacing1) auto;
}
.margin2 {
    margin: var(--spacing2) auto;
}
.margin3 {
    margin: var(--spacing3) auto;
}
.margin4 {
    margin: var(--spacing4) auto;
}
.margin5 {
    margin: var(--spacing5) auto;
}
.margin6 {
    margin: var(--spacing6) auto;
}
.margin7 {
    margin: var(--spacing7) auto;
}

/*=== Header ===*/
.header {
    position: relative;
    top: 0;
    left: 0;
    width: 100%;
    background-color: var(--color100);
    box-shadow: 0 2px var(--spacing3) hsla(210, 32%, 8%, .3);
    z-index: var(--z-fixed);
}

.banner {
    display: block;
    width: auto;
    height: var(--banner-height);
    background-color: var(--color100);
}

.banner_image {
    max-height: fit-content;
}
.back_image {
    padding: 0;
    background-repeat: no-repeat;
    background-size: 100%;
}
.front_image {
    display: block;
    margin: 0 auto;
    width: 100%;
    max-width: 1440px;
    z-index: 101;
}

/*== Google Translate ==*/
.google_translate_container {
    position: sticky;
    top: 0;
    left: 0;
    height: 0;
    overflow: visible;
    z-index: var(--z-gt);
}
#google_translate_element {
    position: absolute;
    top: 0;
    left: 0;
    color: transparent;
    opacity: 0;
    transition: opacity 0.3s;

    &:hover {
      opacity: 1;
    }
}
#google_translate_element.show-trans {
    opacity: 1;
}
#google_translate_element a {
    display: none;
}
div.goog-te-gadget {
    color: transparent !important;
}
.goog-te-combo {
    font: 600 var(--p) !important;
    margin: 0 !important;
}

/* Hide the Google Translate iframe and its container */
body > .skiptranslate > iframe.skiptranslate {
    display: none !important;
    visibility: hidden !important;
}
body {    
    top: 0px !important;
}

/* Scroll Top Button */
#goTop {
  position: fixed;
  right: 15px;
  bottom: 15px;
  a {
    display: flex;
    background: hsla(0, 0%, 0%, 0.3);
    color: var(--color100);
    width: 2.75rem;
    height: 2.75rem;
    justify-content: center;
    align-items: center;
    font-size: 3rem;
    border-radius: 0.25rem;
    transform: scale(0);
    transition: background 0.3s linear, transform 0.3s;
    z-index: var(--z-gt);

    &:hover {
      background: hsla(0, 0%, 0%, 0.7);
    }
  }
  .show-scroll {
    transform: scale(1);
  }
}


/* .logo {
    height: var(--navbar-height);
    width: auto;
} */

/*=== Nav ===*/
.nav_bar {
    height: var(--navbar-height);
}

.nav_container {
    max-width: 1120px;
    margin-inline: 1.5rem;
}

.nav_burger,
.nav_close {
    color: var(--color0);
}

.nav_data {
    height: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.nav_logo {
    height: var(--navbar-height);
    width: auto;
    margin-top: 6px;
    column-gap: 0.25rem;
}

.nav_toggle {  
    position: relative;
    width: 32px;
    height: 32px;
}

.nav_burger,
.nav_close {
    position: absolute;
    width: max-content;
    height: max-content;
    inset: 0;
    margin: auto;
    font-size: 1.25rem;
    cursor: pointer;
    transition: opacity .1s, transform .4s;
}
.nav_close {
    opacity: 0;
}

/* Nav for Mobile Devices */
@media screen and (max-width: 1118px) {
    .nav_menu {
        position: absolute;
        left: 0;
        top: calc(var(--banner-height) + var(--navbar-height));
        width: 100%;
        background-color: var(--color90);
        /* height: calc(100vh - var(--navbar-height)); */
        overflow: auto;
        pointer-events: none;
        opacity: 0;
        transition: top .4s, opacity .3s;
    }
    .nav_menu::-webkit-scrollbar {
        width: 0;
    }
    .nav_list {
        background-color: var(--color90);
        padding-top: 1px;
        margin-bottom: 1px;
    }
}

.nav_link {
    color: var(--color0);
    background-color: var(--color100);
    font-weight: var(--font-semi-bold);
    font-size: 1.125rem;
    padding: 1.25rem 1.5rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
    transition: background-color .3s;
}

.nav_link:hover {
    background-color: var(--accent);
}

/*=== Show Menu ===*/
.show-menu {
    opacity: 1;
    top: calc(var(--banner-height) + var(--navbar-height));
    pointer-events: initial;
}

/* Show Icon */
.show-icon .nav_burger{
    opacity: 0;
    transform: rotate(90deg);
}
.show-icon .nav_close{
    opacity: 1;
    transform: rotate(90deg);
}

/*=== Drop Down ===*/
.dropdown_item {
    cursor: pointer;
}
.dropdown_arrow {
    display: inline-block;
    font-size: var(--spacing4);
    font-weight: initial;
    transition: transform .4s;
}
.dropdown_link {
    padding: 1.25rem 1.25rem 1.25rem 2.5rem;
    color: var(--color0);
    background-color: var(--color80);
    display: flex;
    align-items: center;
    column-gap: .5rem;
    font-weight: var(--font-semi-bold);
    transition: background-color .3s;
}
.dropdown_link {
    font-size: 1.125rem;
    font-weight: initial;
}
.dropdown_link:hover {
    background-color: var(--accent);
}
.dropdown_menu {
    max-height: 0;
    overflow: hidden;
    transition: max-height .4s ease-out;
}

/* Show Dropdown Menu */
.dropdown_item:hover .dropdown_menu {
    max-height: 1000px;
    transition: max-height .4s ease-in;
}

/* Rotate Dropdown Icon */
.dropdown_item:hover .dropdown_arrow {
    transform: rotate(180deg);
}

/*=== Breakpoint ===*/
/* For Small Devices */
@media screen and (max-width: 340px) {
    .nav_container {
        margin-inline: var(--spacing3);
    }
    .nav_link {
        padding-inline: var(--spacing3);
    }
}

/* For Large Devices */
@media screen and (min-width: 1118px) {
    .nav_container {
        margin-inline: auto;
    }

    .nav_logo {
        height: calc(var(--navbar-height) + 2rem);
        width: auto;
        display: flex;
        margin-top: 0;
    }
    .nav_bar {
        height: calc(var(--navbar-height) + 2rem);
        display: flex;
        justify-content: center;
    }
    .nav_toggle {
        display: none;
    }
    .nav_list {
        height: 100%;
        display: flex;
        column-gap: 4rem;
    }
    .nav_link {
        height: 100%;
        padding: 0;
        justify-content: initial;
        column-gap: .25rem;
    }
    .nav_link:hover {
        background-color: transparent;
    }

    .dropdown_item {
        position: relative;
    }

    .dropdown_menu {
        max-height: initial;
        width: max-content;
        overflow: initial;
        position: absolute;
        left: 0;
        top: calc(var(--navbar-height) + 2.5rem);
        opacity: 0;
        pointer-events: none;
        transition: opacity .3s, top .3s;
    }
    .dropdown_link {
        padding-inline: 1rem 2.5rem;
    }

    /* Show Dropdown Menu */
    .dropdown_item:hover .dropdown_menu {
        opacity: 1;
        top: calc(var(--navbar-height) + 2rem);
        pointer-events: initial;
        transition: top .3s;
    }
}



/*== Footer ==*/
footer {
    width: 100%;
    position: relative;
    bottom: 0;
}

/* Footer Top */
.footer_top {
    color: var(--color0);
    background: linear-gradient(to right, hsl(200, 80%, 78%), var(--color80));
    padding: 3rem 0 1.5rem;
}
.footer_top a {
    color: var(--color0);
    text-decoration: none;

    &:hover {
        color: var(--color50);
    }
}

.footer_row {
    width: 90%;
    margin: auto;
    display: flex;
    flex-wrap: wrap;
    align-items: flex-start;
    justify-content: space-between;
}
.footer_col {
    flex-basis: 25%;
    padding: var(--spacing2);
    min-width: 340px;
}
.footer_col:nth-child(2),.footer_col:nth-child(3) {
    flex-basis: 20%;
}

.footer_logo {
    height: 100px;
    width: auto;
    margin-bottom: 1.5rem;
}

.footer_icon {
    color: var(--color0);
    width: max-content;
    height: max-content;
    inset: 0;
    margin: auto;
    cursor: pointer;
}

/* Footer Bottom */
.footer_bottom {
    background: var(--color90);
    position: relative;
    padding: var(--spacing3);
    font-weight: var(--font-semi-bold);
    white-space: nowrap;
    overflow-x: hidden;
}


/*== Main Body ==*/
.main {
    position: relative;
}

/*== Slideshow ==*/
#mainSlideShow .carousel-control-prev, #mainSlideShow .carousel-control-next{
    width: 5%;
}

/*== Scrolling Text ==*/
.scroll_left {
    height: var(--scroll-height);	
    width: auto;
    overflow: hidden;
    position: relative;
    background: var(--color50);
}
.scroll_left p {
    position: absolute;
    width: fit-content;
    height: 100%;
    margin: 0;
    line-height: 3rem;
    text-wrap: initial;
    text-align: center;
    white-space: nowrap;
    color: var(--color100);
    /* Starting position */
    transform:translateX(100%);
    /* Apply animation to this element */
    animation: scroll-left 60s linear infinite;
}
/* For Small Devices */
@media screen and (max-width: 768px) {
    .scroll_left p {
        /* Starting position */
        transform:translateX(33%);
        /* Apply animation to this element */
        animation: scroll-left-small 60s linear infinite;
    }
}
/* Move it (define the animation) */
@keyframes scroll-left {
    0%   {
        transform: translateX(100%); 		
    }
    100% {
        transform: translateX(-100%);   
    }
}
@keyframes scroll-left-small {
    0%   {
        transform: translateX(40%); 		
    }
    100% {
        transform: translateX(-100%);   
    }
}



.new_sign {
    width: 3rem;
    height: 2.5rem;
}

/*== Home Body ==*/
.home_body {
    position: relative;
}
.welcome_img {
    margin-top: 2rem;
}

.body_block:nth-child(odd) {
    background-color: var(--color100);
}
.block_box {
    text-align: center;
    margin: 0 auto;
    color: var(--color0);
    padding: 2rem 0;
    overflow:auto;
}
.block_text {
    font: var(--pb);
}
.block_text ul {
    list-style-type: disc;
    text-align: left;
    text-wrap: initial;
    padding-inline-start: 10%;
}

/* Course List */
.split_flex {
    display: flex;
    align-items: center;
    gap: var(--spacing4);
    flex-wrap: wrap;
}
.split_flex > * {
    flex: 1;
    min-width: 340px;
}
.info_section {
    max-width: 55%;
    padding: 1rem 0.5rem;
    text-align: left;
}
.course_section {
    max-width: 40%;
}
/* For Small Devices */
@media screen and (max-width: 992px) {
    .info_section {
        max-width: 100%;
    }
    .course_section {
        margin: 0 auto;
        width: 75%;
        max-width: 75%;
    }
}
.list_box {
    padding: 2rem 0;
}
.row {
    margin-right: 0;
}
.course_card {
    width: auto;
    --bs-card-spacer-y: 0.5rem;
    --bs-card-spacer-x: 0.5rem;
    padding: 0.75rem;
    margin: 1rem 0;
    background-color: var(--color90);
}
.nav-tabs {
   overflow-x: auto;
   overflow-y:hidden;
   flex-wrap: nowrap;
}
.nav-tabs .nav-link {
  white-space: nowrap;
}

.list_img {
    display: none;
    transition: display 200ms;
}
.list_img.show{
    display: flex;
}

.action_btn {
   margin-top: 1rem;
}

/* Requirements */
.req_card {
    width: auto;
    --bs-card-spacer-y: 0.5rem;
    --bs-card-spacer-x: 0.5rem;
    padding: 0.75rem;
    min-height: 15rem;
}
/* Photo */


/*== About Body ==*/
.info_card {
    width: auto;
    --bs-card-spacer-y: 0.5rem;
    --bs-card-spacer-x: 0.5rem;
    padding: 0.75rem;
    min-height: 13rem;
}
.info_text {
    text-align: center;
}
/* Google Map */
.google_map {
    width: 100%;
    height: 500px;
}


/*== Message Body ==*/
.img_container {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    padding: 1rem 0;
    gap: 2px;
}
.image_padding {
    padding: 0.25rem 0;
}
.paragraph_message {
    text-align: justify;
    text-wrap: initial;
    text-indent: 5rem;
    padding: 0 0.25rem 0;
}

.video_frame {
    width: 100%;
    height: 360px;
    padding: 0.5rem 0;
}

/*== Vision Body ==*/
.num_list {
    text-align: left;
    padding-inline-start: 12%;
}
.num_list li {
    line-height: 2.5rem;
}

/*== Collaboration Body ==*/
@media (min-width: 768px) {
  #collabSlideShow .carousel-inner {
    display: flex;
  }
  #collabSlideShow .carousel-item {
    margin-right: 0;
    flex: 0 0 33.333333%;
    display: block;
  }
}
#collabSlideShow .carousel-inner{
    padding: 1em;
}
#collabSlideShow .card{
    margin: 0 .5em;
    box-shadow: 2px 6px 8px 0 rgba(22, 22, 26, 0.18);
    border: none;
}
#collabSlideShow .carousel-control-prev, #collabSlideShow .carousel-control-next{
    background-color: #e1e1e1;
    width: 6vh;
    height: 6vh;
    border-radius: 50%;
    top: 50%;
    transform: translateY(-50%);
}
#collabSlideShow .card .img-wrapper {
  max-width: 100%;
  height: 28rem;
  display: flex;
  justify-content: center;
  align-items: center;
}
/* For Small Devices */
@media screen and (max-width: 770px) {
    #collabSlideShow .card .img-wrapper {
    height: 38rem;
    }
}
#collabSlideShow img{
  max-height: 100%;
}

/*== Study Body ==*/
.table {
    margin: 2rem auto;
    text-align: center;
    font-weight: var(--font-semi-bold);
}
.table-primary {
    --bs-table-color: var(--color100);
    --bs-table-bg: var(--color30);
    --bs-table-border-color: var(--color0);
    padding: .25rem;
}
.table thead {
    font-size: 1.25rem;
}
@media screen and (min-width: 992px) {
    .table {
        width: 75%;
    }
}
.price_section {
    display: block;
    padding-top: 1rem;
}

/* Rotating Arrow */
.btn .dropdown_arrow {
    transform: rotate(180deg);
}
.btn.collapsed .dropdown_arrow {
    transform: rotate(0deg);
}

.description_card {
    padding: 1rem 0;
    padding-inline-start: 2%;
    padding-inline-end: 1%;
    text-indent: 3rem;
    background-color: var(--color40);
    color: var(--color100);
    border-radius: 1rem;
}

/*== News Body ==*/
.text_section {
    max-width: 55%;
    padding: 1rem 0.5rem;
    text-align: left;
}
.news_section {
    margin: 0 auto;
    max-width: 40%;
}
.news_img {
    border: 2px solid var(--color0);
}
/* For Small Devices */
@media screen and (max-width: 1200px) {
    .text_section {
        max-width: 100%;
    }
    .news_section {
        margin: 0 auto;
        max-width: 80%;
    }
}
.text_section > .block_text ul {
    padding-inline-start: 4%;
}


/*== Student Body ==*/
.student_section {
    max-width: 75%;
    padding: 1rem 0.5rem;
    text-align: left;
    padding-inline-start: 0.5rem;
    text-wrap: initial;
    .block_text {
        line-height: 2.25rem;
    }
}
.image_section {
    margin: 0 auto;
    max-width: 25%;
    .img_size {
        width: 50%;
        margin: 0 auto;
    }
}

/* For Small Devices */
@media screen and (max-width: 1200px) {
    .student_section {
        max-width: 100%;
    }
    .image_section {
        margin: 0 auto;
        max-width: 50%;
    }
}

/*== Occupation Body ==*/
.student_profile {
    width: 45%;
    margin: 1rem auto;
    border: 1px solid var(--color0);
}
/* For Small Devices */
@media screen and (max-width: 768px) {
    .block_box {
        padding: 0.5rem 0;
    }
    .list_box {
        padding: 0.5rem 0;
    }
    .student_profile {
        width: 25%;
    }
    .block_text {
    font: var(--p);
    }   

    p {
        font: var(--sp);
    }

    .large_title {
        font: var(--h3);
    }
    .mid_title {
        font: var(--h4);
    }
    .small_title {
        font: var(--psb);
    }

    .footer_bottom {
        font-size: 0.75rem;
    }

    .video_frame {
        height: 240px;
    }
}



@media (min-width: 768px) {
    .modal-dialog {
        max-width: 50%;
    }
}

.modal-body {
        text-wrap: initial;
    }